POST Agents/License/GetSatelliteLicenses
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/License/GetSatelliteLicenses
Obtain information about satellite module licenses
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/License/GetSatelliteLicenses?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
SatelliteId
| Property Name | Type | Description |
|---|---|---|
| SatelliteId | Integer |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Name | string | The name of the license owner |
| Description | string | |
| RestrictedModuleLicenses | array | |
| UnrestrictedModuleLicenses | array | The unrestricted module licenses that this license owner |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/License/GetSatelliteLicenses
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"SatelliteId": 919
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Name": "Fadel, Hilpert and Schuster",
"Description": "Persistent fault-tolerant analyzer",
"RestrictedModuleLicenses": [
{
"Unrestricted": false,
"Total": 66,
"Tooltip": "cumque",
"CanAssign": false,
"Free": 71,
"InUse": 53,
"IsHidden": true,
"Assigned": true,
"ModuleLicenseId": 77,
"Name": "Fritsch, Schowalter and Bins",
"Description": "Innovative multimedia access",
"PrerequisiteModuleName": "Douglas-O'Hara",
"SortOrder": 806,
"ExtraFlags": 650,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 263
}
}
}
],
"UnrestrictedModuleLicenses": [
{
"Unrestricted": false,
"Total": 965,
"Tooltip": "sed",
"CanAssign": true,
"Free": 386,
"InUse": 47,
"IsHidden": true,
"Assigned": false,
"ModuleLicenseId": 180,
"Name": "Kozey-Douglas",
"Description": "Inverse radical hardware",
"PrerequisiteModuleName": "Kozey Inc and Sons",
"SortOrder": 357,
"ExtraFlags": 25,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 36
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 860
}
}
},
{
"Name": "Fadel, Hilpert and Schuster",
"Description": "Persistent fault-tolerant analyzer",
"RestrictedModuleLicenses": [
{
"Unrestricted": false,
"Total": 66,
"Tooltip": "cumque",
"CanAssign": false,
"Free": 71,
"InUse": 53,
"IsHidden": true,
"Assigned": true,
"ModuleLicenseId": 77,
"Name": "Fritsch, Schowalter and Bins",
"Description": "Innovative multimedia access",
"PrerequisiteModuleName": "Douglas-O'Hara",
"SortOrder": 806,
"ExtraFlags": 650,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 263
}
}
}
],
"UnrestrictedModuleLicenses": [
{
"Unrestricted": false,
"Total": 965,
"Tooltip": "sed",
"CanAssign": true,
"Free": 386,
"InUse": 47,
"IsHidden": true,
"Assigned": false,
"ModuleLicenseId": 180,
"Name": "Kozey-Douglas",
"Description": "Inverse radical hardware",
"PrerequisiteModuleName": "Kozey Inc and Sons",
"SortOrder": 357,
"ExtraFlags": 25,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 36
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 860
}
}
}
]